## tqca 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( tqca )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )
include( GNUInstallDirs OPTIONAL )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

if( CMAKE_INSTALL_LIBDIR )
  tde_setup_install_path( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
endif( )

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL      "Build all" ON )
option( BUILD_TQCA     "Build tqca shared lib" ${BUILD_ALL} )
option( BUILD_TQCA_TLS "Build tqca-tls plugin" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories

tde_conditional_add_subdirectory( BUILD_TQCA src )
tde_conditional_add_subdirectory( BUILD_TQCA_TLS src/tls )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tqca (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 May 2021 16:26:11 +0200

tqca (4:14.0.11~pre2-0debian10.0.0+0) buster; urgency=low

  * Merge libtqca and tqca-tls into one source package.

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 May 2021 01:20:50 +0200

libtqca (4:14.0.8~pre0-0debian10.0.0+0) buster; urgency=low

  * Initial git build

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 03 Jan 2020 14:50:41 +0100

=== debian/control ===
Source: tqca
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, libtqtinterface-dev, libssl-dev
Standards-Version: 3.8.3

Package: libtqca
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description:
 libtqca provides TQt interface for security plugins

Package: libtqca-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libtqca (= ${binary:Version}), libtqtinterface-dev
Description:
 libtqca provides TQt interface for security plugins
 .
 This is the development package containing header files and link
 libraries for libtqca.

Package: tqca-tls
Section: libs
Architecture: any
Multi-Arch: foreign
Replaces: tqca-tls (<< 4:14.0.0~)
Breaks: tqca-tls (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TLS plugin for the TQt Cryptographic Architecture (TQCA)
 This is a plugin to provide SSL/TLS capability to programs that
 utilize the TQt Cryptographic Architecture (TQCA).
 .
 TQCA is a library providing an easy API for several cryptographic algorithms
 to TQt programs.
 .
 At the moment only the tqca-tls plugin is packaged for debian, as it's
 used by the package 'psi'. The generic library and several other plugins
 will be packaged when upstream releases them.

## tqca 14.0.12

=== debian/changelog ===
tqca (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:02:59 +0100

## tqca 14.0.13

=== debian/changelog ===
tqca (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 12:23:06 +0200

## tqca 14.1.0

=== debian/changelog ===
tqca (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

tqca (4:14.1.0~s39-0debian10.0.0+0) buster; urgency=low

  * Merge libtqca and tqca-tls into one source package.

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 May 2021 01:20:50 +0200

libtqca (4:14.1.0~s3-0debian10.0.0+0) buster; urgency=low

  * Initial git build

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 03 Jan 2020 14:50:41 +0100

## tqca 14.1.1

=== debian/changelog ===
tqca (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Jul 2023 09:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, libtqtinterface-dev, libssl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: libtqca
@@ -27,7 +27,7 @@
 Package: tqca-tls
 Section: libs
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Replaces: tqca-tls (<< 4:14.0.0~)
 Breaks: tqca-tls (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}

## tqca 14.1.2

=== debian/changelog ===
tqca (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:58:53 +0100

## tqca 14.1.3

=== debian/changelog ===
tqca (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:22:50 +0200

## tqca 14.1.4

=== debian/changelog ===
tqca (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tqca 14.1.5~pre0

=== debian/changelog ===
tqca (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 33b8372a590d2bc097de45215af28ca4d5ca04c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tqca 14.1.5

=== src/tls/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions( -DTQCA_PLUGIN )


##### tqca-tls (shared)

tde_add_library( tqca-tls SHARED NO_LIBTOOL_FILE AUTOMOC

  SOURCES
        tqca-tls.cpp
  LINK
     ${TQT_LIBRARIES}
     ${SSL_LIBRARIES}

  DESTINATION ${TQT_PLUGINS_CRYPTO_DIR}
)

=== debian/changelog ===
tqca (4:14.1.5-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libssl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: libtqca

## tqca 14.1.6~pre0

=== debian/changelog ===
tqca (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 33b8372a590d2bc097de45215af28ca4d5ca04c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tqca 14.1.6~pre1

=== debian/changelog ===
tqca (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ed054fe7be910c117a6dbcc4bebdf75aae5f2318
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:40:45 +0100

## tqca 14.2.0~pre6

=== debian/changelog ===
tqca (4:14.2.0~pre6-0raspbian12.0.0+7) raspbian-bookworm; urgency=low

  * Automated git build for dd57a8411c4e6f7ec18eee7cbe5935f634452d61
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libssl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, libssl-dev
 Standards-Version: 3.8.3
 
 Package: libtqca
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: libtqca (= ${binary:Version}), libtqtinterface-dev
+Depends: libtqca (= ${binary:Version}), libtqt3-mt-dev
 Description:
  libtqca provides TQt interface for security plugins
  .

## tqca 14.2.0~pre7

=== debian/changelog ===
tqca (4:14.2.0~pre7-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 008b810df3aeadffa0134164715feef8ff55a0f2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqca

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:21:05 +0100
